AdjustMinimumRadiusBuilder Class

class NXOpen.Facet.AdjustMinimumRadiusBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Facet.AdjustMinimumRadiusBuilder.

It smooths the input bodies such that their minimum radius of curvature is larger than the prescribed radius of curvature.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateFacetAdjustMinimumRadiusBuilder()

New in version NX12.0.0.

Properties

Property Description
FacetBodies Returns the input facet body list.
MinimumRadius Returns or sets the minimum radius of curvature
SelectedFacet Returns the input facet body list.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

FacetBodies

AdjustMinimumRadiusBuilder.FacetBodies

Returns the input facet body list.

Inputs to this command can be convergent objects.

-------------------------------------

Getter Method

Signature FacetBodies

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX12.0.0.

License requirements: None.

MinimumRadius

AdjustMinimumRadiusBuilder.MinimumRadius

Returns or sets the minimum radius of curvature

-------------------------------------

Getter Method

Signature MinimumRadius

Returns:
Return type:float

New in version NX12.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MinimumRadius

Parameters:radius (float) –

New in version NX12.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SelectedFacet

AdjustMinimumRadiusBuilder.SelectedFacet

Returns the input facet body list.

Inputs to this command can be convergent objects.

-------------------------------------

Getter Method

Signature SelectedFacet

Returns:
Return type:NXOpen.FacetCollector

New in version NX12.0.0.

License requirements: None.

Method Detail

Validate

AdjustMinimumRadiusBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.